# Uses of Class
org.eclipse.jdt.launching.VMStandin

Packages that use VMStandin
Package
Description
org.eclipse.jdt.debug.ui.launchConfigurations
Provides an implementation launch configuration tabs for local and remote Java applications.
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.

## Uses of VMStandin in org.eclipse.jdt.debug.ui.launchConfigurations

Methods in org.eclipse.jdt.debug.ui.launchConfigurations that return VMStandin
Modifier and Type
Method
Description
`abstract VMStandin`
AbstractVMInstallPage.`getSelection()`
Returns the edited or created VM install.
Methods in org.eclipse.jdt.debug.ui.launchConfigurations with parameters of type VMStandin
Modifier and Type
Method
Description
`void`
AbstractVMInstallPage.`setSelection(VMStandin vm)`
Sets the VM install to be edited.

## Uses of VMStandin in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching that return VMStandin
Modifier and Type
Method
Description
`static VMStandin`
JavaRuntime.`createVMFromDefinitionFile(File eeFile, String name, String id)`
Creates a new VM based on the attributes specified in the given execution environment description file.